body{
  background-color:#c0c0c0;
}


/* =============================================================== */
/* PRODUCT DETAILS POPUP MODAL
/* =============================================================== */

/* quick view btn */
div.quickview {
    display: block;
    margin-top: 40%;
    max-height: 50px;
    position: absolute;
    text-align: center;
    width: 100%;
    z-index: 2;
    visibility: hidden;
}

.product:hover div.quickviewx {
    visibility: visible;
}

.product:not(.isIphone):hover div.quickview {
    visibility: visible;
}
.product.isIphone .image:hover div.quickview {
    visibility: visible;
}


.btn-quickview {
    border-radius: 2px;
    font-family: "Oswald", Helvetica Neue, Arial, sans-serif;
    letter-spacing: 2px;
    color: #454545 !important;
    text-transform: uppercase;
    background: #fff; /* old borwser */
    background: rgba(255, 255, 255, 0.9);
    border: 1px solid #eee;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
    -webkit-box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
    -ms-box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
    -moz-box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
    -moz-o-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
    left: auto;
    min-width: 100px;
    max-height: 40px;
    height: 40px !important;
    opacity: 0;
    -webkit-opacity: 0;
    -ms-opacity: 0;
    padding: 10px;
    visibility: hidden;
    width: auto;
    display: inline-block !important;
    z-index: 2;
    transform: scale(0.75);
    -webkit-transform: scale(0.75);
    -o-transform: scale(0.75);
    -ms-transform: scale(0.75);
    -moz-transform: scale(0.75);
    transition: all 0.3s ease 0s;
    -webkit-transition: all 0.3s ease 0s;
    -moz-transition: all 0.3s ease 0s;
    -ms-transition: all 0.3s ease 0s;
}

/* fix iphone click issue on add to cart button */
.product:not(.isIphone):hover .btn-quickview {
    visibility: visible;
    opacity: 0.85;
    -webkit-opacity: 0.85;
    -ms-opacity: 0.85;
    transform: scale(1);
    -webkit-transform: scale(1);
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
}


.product.isIphone .image:hover .btn-quickview {
    visibility: visible;
    opacity: 0.85;
    -webkit-opacity: 0.85;
    -ms-opacity: 0.85;
    transform: scale(1);
    -webkit-transform: scale(1);
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
}

.list-view .product:hover div.quickview {
    margin-top: 45%;
}

@media (max-width: 460px) {
    div.quickview {
        margin-top: 25%;
    }
}

@media (max-width: 400px) {
    div.quickview {
        margin-top: 35%;
    }
}

.product > .btn-quickview:hover {
    opacity: 0.95;
}

/* quick view btn end */

#product-details-modal .modal-dialog {
    background: #fff;
    max-width: 960px;
    overflow: auto;
    width: 100%;
}

#product-details-modal .close, #productSetailsModalAjax .close {
    color: #454545;
    display: block;
    font-size: 34px;
    font-weight: lighter;
    line-height: 10px;
    opacity: 0.6;
    padding: 12px;
    position: absolute;
    right: 0;
    text-shadow: none;
    top: 0;
    z-index: 1;
}

#productSetailsModalAjax .main-image {
    margin-top: 40px;

}

#product-details-modal .close:hover, #productSetailsModalAjax .close:hover {
    opacity: 0.8;
}

@media (max-width: 800px) {
    #product-details-modal .modal-dialog, #productSetailsModalAjax .modal-dialog {
        max-width: 90%;
        margin: 20px auto;
    }
}

@media (min-width: 840px) {
    .modal-details-inner {
        min-height: 552px;
    }
}

@media (max-width: 600px) {
    #product-details-modal .modal-dialog {
        max-width: 96%;
        margin: 20px auto;
    }
}

#product-details-modal .modal-content {
    background: #fff;
    display: block;
    height: auto;
    padding: 0;
    box-shadow: none;
}

.modal-details-inner {
    padding: 30px;
}

#product-details-modal .productFilter {
    margin-bottom: 10px;
    margin-top: 10px;
    padding-bottom: 10px;
    padding-top: 10px;
}

#product-details-modal .filterBox {
    display: inline-block;

}

#product-details-modal .cart-actions {
    margin-bottom: 0;
    margin-top: 0;
}

#product-details-modal .color-details {
    margin-top: 5px;
}

#product-details-modal .product-share {
    border-top: 0 none;
    margin-top: 0;
    padding-top: 0;
}

.modal-product-thumb {
    border-top: 1px solid #ddd;
    clear: both;
    display: block;
    text-align: center;
}

.modal-product-thumb a {
    border: 1px solid #ccc;
    display: inline-block;
    float: none;
    margin-right: 10px !important;
    margin-top: 5px;
    height: 75px;
    overflow: hidden;
    width: 60px !important;
}

.modal-product-thumb a.selected, .modal-product-thumb a:hover {
    border: 1px solid #000 !important;
}

.modal-product-thumb a img {
    display: block;
    max-width: 100%;
    height: auto;
    max-height: 75px;
    width: 60px !important;
}


/* ================================================================== */
/* CUSTOMIZE THE BOOTSTRAP MODAL + INPUT FORM ELEMENT + BUTTON + ALERT
/* ================================================================== */
.modal {
    overflow: auto;
}

.signUpContent .modal-dialog {
    max-width: 460px;
}

.modal-dialog.modal-md {
    max-width: 620px;
}

.modal-dialog.modal-xs {
    max-width: 460px;
}

#product-details-modal .modal-dialog {
    background: #fff;
    max-width: 960px;
    overflow: auto;
    width: 100%;
}

.modal-dialog .product-share {
    border-top: 0 none;
    margin-top: 0;
}

.modal-dialog .modal-product-thumb {
    padding-top: 15px;
}

.modal-dialog {
    background: #fff;
    max-width: 960px;
    overflow: auto;
    width: 100%;
}

.modal-header {
    border-bottom: 1px solid #E5E5E5;
    color: #FFFFFF;
    padding: 5px 15px;
    margin-bottom: 20px;
}

.modal-title-site {
    color: #FFFFFF;
    font-family: Oswald;
    font-size: 38px;
    font-weight: lighter;
    padding: 13px 0;
    text-transform: uppercase;
}

.modal-content {
    border: 0 solid #ddd;
    border-radius: 0;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.4);
}

.modal-footer {
    background: #eee;
    border-top: 1px solid #E5E5E5;
    padding: 10px 20px;
}

.form-control:focus {
    box-shadow: NONE;
    outline: 0 none;
}

